<?php

require_once 'class.phpmailer.php';

$_POST = array_map('trim', $_POST);

$error = false;

if (!isset($_POST['contact_name']) || empty($_POST['contact_name'])) {
    $error = true;
}

if (!isset($_POST['contact_email']) || empty($_POST['contact_email']) || !PHPMailer::ValidateAddress($_POST['contact_email'])) {
    $error = true;
}

if (!isset($_POST['nazwa_firmy']) || empty($_POST['nazwa_firmy'])) {
    $error = true;
}

if (!isset($_POST['nr_telefonu']) || empty($_POST['nr_telefonu'])) {
    $error = true;
}

if (!isset($_POST['contact_body']) || empty($_POST['contact_body'])) {
    $error = true;
}

if (!isset($_POST['contact_check']) || empty($_POST['contact_check']) || (int) $_POST['contact_check'] !== ((int) $_POST['contact_check_data'][0] * (int) $_POST['contact_check_data'][1])) {
    $error = true;
}

if ($error) {
    exit('nok');
}

$contact_name = strip_tags($_POST['contact_name']);
$contact_email = strip_tags($_POST['contact_email']);

$mail = new PHPMailer();

$mail->CharSet = 'UTF-8';
$mail->AddReplyTo($contact_email, $contact_name);
$mail->SetFrom('adres-from@twojadomena.pl');
$mail->AddAddress('adres-to@twojadomena.pl');
$mail->Subject = 'Wiadomość ze strony WWW';
$mail->Body = "Nazwa firmy: ".$_POST['nazwa_firmy']."\nImię i nazwisko: ".$_POST['contact_name']."\nAdres e-mail: ".$_POST['contact_email']."\nNumer telefonu: ".$_POST['nr_telefonu']."\n\nTreść wiadomości: ".$_POST['contact_body'];

if (!$mail->Send()) {
    exit('nok');
}

exit('ok');